var repair = 3; var damageGet = Math.round(Math.random()*1); var itemID = 2087; var maxDamage = 60;
var power = 3+Math.sqrt(harvesting_lvl/1.5+gardening_lvl/2); var breakSpeech = "Well I'll harvest some more soon";
var tool = [5, 70, 10, 15, 5, 10, 5]; mainSkill = harvesting_lvl;

if (timing > 3) {timing = 0; itemUsed = true; if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}}